> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Lab result (I/O lab) 

> Get result of a single user for a given I/O lab

Authentication with the "FERMION-API-KEY" header is required to use this endpoint.

Rate limit: Maximum 60 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/get-user-io-lab-result
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/get-user-io-lab-result:
    post:
      tags:
        - Lab
      summary: 'Get Lab result (I/O lab) '
      description: >-
        Get result of a single user for a given I/O lab


        Authentication with the "FERMION-API-KEY" header is required to use this
        endpoint.


        Rate limit: Maximum 60 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          userId:
                            type: string
                            description: >-
                              This is a string that you have stored in your
                              database that can uniquely identify a given user
                          labId:
                            type: string
                            description: >-
                              ID of the I/O coding lab you want to get the data
                              for.
                        required:
                          - userId
                          - labId
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties:
                                result:
                                  anyOf:
                                    - type: object
                                      properties:
                                        isLabAttempted:
                                          type: boolean
                                          enum:
                                            - true
                                        isRunComplete:
                                          type: boolean
                                        resultArray:
                                          type: array
                                          items:
                                            type: object
                                            properties:
                                              testCaseId:
                                                type: string
                                              status:
                                                type: string
                                                enum:
                                                  - pending
                                                  - compilation-error
                                                  - time-limit-exceeded
                                                  - non-zero-exit-code
                                                  - died-sigsev
                                                  - died-sigxfsz
                                                  - died-sigfpe
                                                  - died-sigabrt
                                                  - internal-isolate-error
                                                  - successful
                                                  - wrong-answer
                                                  - unknown
                                            required:
                                              - testCaseId
                                              - status
                                      required:
                                        - isLabAttempted
                                        - isRunComplete
                                        - resultArray
                                    - type: object
                                      properties:
                                        isLabAttempted:
                                          type: boolean
                                          enum:
                                            - false
                                      required:
                                        - isLabAttempted
                              required:
                                - result
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output
      security:
        - FERMION-API-KEY: []
components:
  securitySchemes:
    FERMION-API-KEY:
      name: FERMION-API-KEY
      type: apiKey
      in: header

````